- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions

# QSignalMapper Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qsignalmapper.h.

`#include <qsignalmapper.h>`

Inheritance diagram for QSignalMapper:
[legend]

List of all members.

## Public Slots
void | map ()
void | map (QObject *sender)
## Signals
void | mapped (int)
void | mapped (const QString &)
void | mapped (QWidget *)
void | mapped (QObject *)
## Public Member Functions
| QSignalMapper (QObject *parent=0)
| ~QSignalMapper ()
void | setMapping (QObject *sender, int id)
void | setMapping (QObject *sender, const QString &text)
void | setMapping (QObject *sender, QWidget *widget)
void | setMapping (QObject *sender, QObject *object)
void | removeMappings (QObject *sender)
QObject * | mapping (int id) const
QObject * | mapping (const QString &text) const
QObject * | mapping (QWidget *widget) const
QObject * | mapping (QObject *object) const

## Constructor & Destructor Documentation

QSignalMapper | ( | QObject * | parent = `0` | ) | `[explicit]`

~QSignalMapper | ( |  | ) |

## Member Function Documentation

void setMapping | ( | QObject * | sender,
|  | int | id
| ) |  |

Search for all occurrences

void setMapping | ( | QObject * | sender,
|  | const QString & | text
| ) |  |

Search for all occurrences

void setMapping | ( | QObject * | sender,
|  | QWidget * | widget
| ) |  |

Search for all occurrences

void setMapping | ( | QObject * | sender,
|  | QObject * | object
| ) |  |

Search for all occurrences

void removeMappings | ( | QObject * | sender | ) |

Search for all occurrences

QObject* mapping | ( | int | id | ) | const

Search for all occurrences

QObject* mapping | ( | const QString & | text | ) | const

Search for all occurrences

QObject* mapping | ( | QWidget * | widget | ) | const

Search for all occurrences

QObject* mapping | ( | QObject * | object | ) | const

Search for all occurrences

void mapped | ( | int |  | ) | `[signal]`

Search for all occurrences

void mapped | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

void mapped | ( | QWidget * |  | ) | `[signal]`

Search for all occurrences

void mapped | ( | QObject * |  | ) | `[signal]`

Search for all occurrences

void map | ( |  | ) | `[slot]`

Search for all occurrences

void map | ( | QObject * | sender | ) | `[slot]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qsignalmapper.h

QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper
QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper QSignalMapper